> ## Documentation Index
> Fetch the complete documentation index at: https://flutterwaveinc.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a Virtual Card

> Create a new virtual card



## OpenAPI

````yaml post /virtual-cards
openapi: 3.0.0
info:
  title: Flutterwave v3
  description: >-
    The Flutterwave for Business(F4B) APIs collection for all v3 endpoints with
    pre-formatted requests and response examples.
  contact: {}
  version: '1.0'
servers:
  - url: https://api.flutterwave.com/v3
    variables: {}
security:
  - bearer: []
tags:
  - name: Charges
    description: >-
      The charge APIs includes several payment collection methods to help you
      collect payments.
  - name: Tokenized Charges
    description: Tokenize your customers' cards with Flutterwave for faster payments
  - name: Preauthorization
    description: Manage preauth attemps on card transactions
  - name: Transactions
    description: Manage transactions, query statuses, logs and fees
  - name: Transfers
    description: Transfers to local and international customers
  - name: Beneficiaries
    description: Manage transfer beneficiaries
  - name: Virtual Cards
    description: Manage Flutterwave virtual cards
  - name: Virtual Account Numbers
    description: Manage virtual accounts
  - name: Collection Subaccounts
    description: Manage Collection Subaccounts
  - name: Payout Subaccounts
    description: Manage Payout Subaccounts
  - name: Subscriptions
    description: Manage user subscriptions
  - name: Payment Plans
    description: Manage Payment Plans
  - name: Bill Payments
    description: Manage Bill Payments
  - name: Banks
    description: Fetch Bank Information
  - name: Misc
    description: >-
      Verify user information like bank verification numbers, card bins, account
      information
  - name: Settlements
    description: Manage your settlements
  - name: Otps
    description: Create and manage one time passwords (OTPs) for your applications
  - name: Chargebacks
    description: Manage Chargebacks
paths:
  /virtual-cards:
    post:
      tags:
        - Virtual Cards
      summary: Create a Virtual Card
      description: Create a new virtual card
      operationId: CreateaVirtualCard
      parameters: []
      requestBody:
        description: ''
        content:
          application/json:
            schema:
              allOf:
                - $ref: '#/components/schemas/CreateaVirtualCardRequest'
                - example:
                    currency: USD
                    amount: 5
                    debit_currency: NGN
                    billing_name: Flutterwave Developers
                    billing_address: 333, Fremont Street
                    billing_city: San Francisco
                    billing_state: CA
                    billing_postal_code: '94105'
                    billing_country: US
            example:
              currency: USD
              amount: 5
              debit_currency: NGN
              billing_name: Flutterwave Developers
              billing_address: 333, Fremont Street
              billing_city: San Francisco
              billing_state: CA
              billing_postal_code: '94105'
              billing_country: US
        required: true
      responses:
        '200':
          description: OK
          headers:
            X-Powered-By:
              content:
                text/plain:
                  schema:
                    type: string
                  example: Express
            Access-Control-Allow-Origin:
              content:
                text/plain:
                  schema:
                    type: string
                  example: '*'
            Access-Control-Allow-Headers:
              content:
                text/plain:
                  schema:
                    type: string
                  example: >-
                    Origin, X-Requested-With, Content-Type, Accept,
                    Authorization, v3-xapp-id, flw-auth-token, mra-auth-token,
                    alt_mode_auth
            Access-Control-Allow-Methods:
              content:
                text/plain:
                  schema:
                    type: string
                  example: PUT, POST, GET, DELETE, OPTIONS
            Content-Length:
              content:
                text/plain:
                  schema:
                    type: string
                  example: '599'
            ETag:
              content:
                text/plain:
                  schema:
                    type: string
                  example: W/"257-0kIut2kuFchnwsb7t3pzYg"
            Date:
              content:
                text/plain:
                  schema:
                    type: string
                  example: Fri, 17 Jan 2020 18:33:27 GMT
            Connection:
              content:
                text/plain:
                  schema:
                    type: string
                  example: keep-alive
          content:
            application/json; charset=utf-8:
              schema:
                allOf:
                  - $ref: '#/components/schemas/SampleSuccessResponse12'
                  - example:
                      status: success
                      message: Card created successfully
                      data:
                        id: 43ec6e92-9eb7-48ad-91c8-7bee425a33cf
                        account_id: 65637
                        amount: 20,000.00
                        currency: NGN
                        card_hash: 43ec6e92-9eb7-48ad-91c8-7bee425a33cf
                        card_pan: '5366130699778900'
                        masked_pan: 536613*******8900
                        city: Lekki
                        state: Lagos
                        address_1: 19, Olubunmi Rotimi
                        address_2: null
                        zip_code: '23401'
                        cvv: '134'
                        expiration: 2023-01
                        send_to: null
                        bin_check_name: null
                        card_type: mastercard
                        name_on_card: Jermaine Graham
                        created_at: '2020-01-17T18:33:29.0130255+00:00'
                        is_active: true
                        callback_url: null
              example:
                status: success
                message: Card created successfully
                data:
                  id: 43ec6e92-9eb7-48ad-91c8-7bee425a33cf
                  account_id: 65637
                  amount: 20,000.00
                  currency: NGN
                  card_hash: 43ec6e92-9eb7-48ad-91c8-7bee425a33cf
                  card_pan: '5366130699778900'
                  masked_pan: 536613*******8900
                  city: Lekki
                  state: Lagos
                  address_1: 19, Olubunmi Rotimi
                  address_2: null
                  zip_code: '23401'
                  cvv: '134'
                  expiration: 2023-01
                  send_to: null
                  bin_check_name: null
                  card_type: mastercard
                  name_on_card: Jermaine Graham
                  created_at: '2020-01-17T18:33:29.0130255+00:00'
                  is_active: true
                  callback_url: null
      deprecated: false
components:
  schemas:
    CreateaVirtualCardRequest:
      title: CreateaVirtualCardRequest
      required:
        - currency
        - amount
        - debit_currency
        - billing_name
        - billing_address
        - billing_city
        - billing_state
        - billing_postal_code
        - billing_country
      type: object
      properties:
        currency:
          type: string
        amount:
          type: integer
          format: int32
        debit_currency:
          type: string
        billing_name:
          type: string
        billing_address:
          type: string
        billing_city:
          type: string
        billing_state:
          type: string
        billing_postal_code:
          type: string
        billing_country:
          type: string
      example:
        currency: USD
        amount: 5
        debit_currency: NGN
        billing_name: Flutterwave Developers
        billing_address: 333, Fremont Street
        billing_city: San Francisco
        billing_state: CA
        billing_postal_code: '94105'
        billing_country: US
    SampleSuccessResponse12:
      title: SampleSuccessResponse12
      required:
        - status
        - message
        - data
      type: object
      properties:
        status:
          type: string
        message:
          type: string
        data:
          $ref: '#/components/schemas/Data43'
      example:
        status: success
        message: Card created successfully
        data:
          id: 43ec6e92-9eb7-48ad-91c8-7bee425a33cf
          account_id: 65637
          amount: 20,000.00
          currency: NGN
          card_hash: 43ec6e92-9eb7-48ad-91c8-7bee425a33cf
          card_pan: '5366130699778900'
          masked_pan: 536613*******8900
          city: Lekki
          state: Lagos
          address_1: 19, Olubunmi Rotimi
          address_2: null
          zip_code: '23401'
          cvv: '134'
          expiration: 2023-01
          send_to: null
          bin_check_name: null
          card_type: mastercard
          name_on_card: Jermaine Graham
          created_at: '2020-01-17T18:33:29.0130255+00:00'
          is_active: true
          callback_url: null
    Data43:
      title: Data43
      required:
        - id
        - account_id
        - amount
        - currency
        - card_hash
        - card_pan
        - masked_pan
        - city
        - state
        - address_1
        - address_2
        - zip_code
        - cvv
        - expiration
        - send_to
        - bin_check_name
        - card_type
        - name_on_card
        - created_at
        - is_active
        - callback_url
      type: object
      properties:
        id:
          type: string
        account_id:
          type: integer
          format: int32
        amount:
          type: string
        currency:
          type: string
        card_hash:
          type: string
        card_pan:
          type: string
        masked_pan:
          type: string
        city:
          type: string
        state:
          type: string
        address_1:
          type: string
        address_2:
          type: string
          nullable: true
        zip_code:
          type: string
        cvv:
          type: string
        expiration:
          type: string
        send_to:
          type: string
          nullable: true
        bin_check_name:
          type: string
          nullable: true
        card_type:
          type: string
        name_on_card:
          type: string
        created_at:
          type: string
        is_active:
          type: boolean
        callback_url:
          type: string
          nullable: true
      example:
        id: 43ec6e92-9eb7-48ad-91c8-7bee425a33cf
        account_id: 65637
        amount: 20,000.00
        currency: NGN
        card_hash: 43ec6e92-9eb7-48ad-91c8-7bee425a33cf
        card_pan: '5366130699778900'
        masked_pan: 536613*******8900
        city: Lekki
        state: Lagos
        address_1: 19, Olubunmi Rotimi
        address_2: null
        zip_code: '23401'
        cvv: '134'
        expiration: 2023-01
        send_to: null
        bin_check_name: null
        card_type: mastercard
        name_on_card: Jermaine Graham
        created_at: '2020-01-17T18:33:29.0130255+00:00'
        is_active: true
        callback_url: null
  securitySchemes:
    bearer:
      type: http
      scheme: bearer

````